<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="configuration.xsl"?>
<configuration>
	
	<property>
		<name>dfs.balance.bandwidthPerSec</name>
		<value>10485760</value>
	</property>
	
	<property>
		<name>dfs.block.access.token.enable</name>
		<value>true</value>
	</property>
	
	<property>
		<name>dfs.blockdfs.webhdfs.enabled.access.token.enable</name>
		<value>true</value>
	</property>
	
	<property>
		<name>dfs.blocksize</name>
		<value>134217728</value>
	</property>
	
	<property>
		<name>dfs.client.block.write.replace-datanode-on-failure.enable</name>
		<value>true</value>
	</property>
	
	<property>
		<name>dfs.client.failover.proxy.provider.HDFS84854</name>
		<value>org.apache.hadoop.hdfs.server.namenode.ha.ConfiguredFailoverProxyProvider</value>
	</property>
	
	<property>
		<name>dfs.client.file-block-storage-locations.timeout.millis</name>
		<value>10000</value>
	</property>
	
	<property>
		<name>dfs.client.read.shortcircuit</name>
		<value>true</value>
	</property>
	
	<property>
		<name>dfs.client.slow.io.warning.threshold.ms</name>
		<value>900000</value>
	</property>
	
	<property>
		<name>dfs.client.socket-timeout</name>
		<value>60000</value>
	</property>
	
	<property>
		<name>dfs.client.use.datanode.hostname</name>
		<value>true</value>
	</property>
	
	<property>
		<name>dfs.datanode.handler.count</name>
		<value>128</value>
	</property>
	
	<property>
		<name>dfs.datanode.hdfs-blocks-metadata.enabled</name>
		<value>true</value>
	</property>
	
	<property>
		<name>dfs.datanode.kerberos.principal</name>
		<value>hadoop/_HOST@EMR-56L6ZNTS</value>
	</property>
	
	<property>
		<name>dfs.datanode.keytab.file</name>
		<value>/var/krb5kdc/emr.keytab</value>
	</property>
	
	<property>
		<name>dfs.datanode.max.transfer.threads</name>
		<value>16480</value>
	</property>
	
	<property>
		<name>dfs.datanode.max.xcievers</name>
		<value>8000</value>
	</property>
	
	<property>
		<name>dfs.datanode.slow.io.warning.threshold.ms</name>
		<value>90000</value>
	</property>
	
	<property>
		<name>dfs.datanode.socket.write.timeout</name>
		<value>480000</value>
	</property>
	
	<property>
		<name>dfs.datanode.use.datanode.hostname</name>
		<value>false</value>
	</property>
	
	<property>
		<name>dfs.domain.socket.path</name>
		<value>/var/lib/hadoop/dn</value>
	</property>
	
	<property>
		<name>dfs.encryption.key.provider.uri</name>
		<value></value>
	</property>
	
	<property>
		<name>dfs.ha.automatic-failover.enabled</name>
		<value>true</value>
	</property>
	
	<property>
		<name>dfs.ha.fencing.methods</name>
		<value>shell(/bin/true)</value>
	</property>
	
	<property>
		<name>dfs.ha.namenodes.HDFS84854</name>
		<value>nn1,nn2</value>
	</property>
	
	<property>
		<name>dfs.heartbeat.interval</name>
		<value>2</value>
	</property>
	
	<property>
		<name>dfs.hosts</name>
		<value>/usr/local/service/hadoop/etc/hadoop/hdfshosts</value>
	</property>
	
	<property>
		<name>dfs.hosts.exclude</name>
		<value>/usr/local/service/hadoop/etc/hadoop/hdfsexcludedhosts</value>
	</property>
	
	<property>
		<name>dfs.journalnode.edits.dir</name>
		<value>/data/emr/hdfs/journalnode</value>
	</property>
	
	<property>
		<name>dfs.journalnode.kerberos.internal.spnego.principal</name>
		<value>HTTP/_HOST@EMR-56L6ZNTS</value>
	</property>
	
	<property>
		<name>dfs.journalnode.kerberos.principal</name>
		<value>hadoop/_HOST@EMR-56L6ZNTS</value>
	</property>
	
	<property>
		<name>dfs.journalnode.keytab.file</name>
		<value>/var/krb5kdc/emr.keytab</value>
	</property>
	
	<property>
		<name>dfs.namenode.datanode.registration.ip-hostname-check</name>
		<value>false</value>
	</property>
	
	<property>
		<name>dfs.namenode.handler.count</name>
		<value>64</value>
	</property>
	
	<property>
		<name>dfs.namenode.heartbeat.recheck-interval</name>
		<value>90000</value>
	</property>
	
	<property>
		<name>dfs.namenode.http-address.HDFS84854.nn1</name>
		<value>172.23.21.7:4008</value>
	</property>
	
	<property>
		<name>dfs.namenode.http-address.HDFS84854.nn2</name>
		<value>172.23.21.8:4008</value>
	</property>
	
	<property>
		<name>dfs.namenode.https-address.HDFS84854.nn1</name>
		<value>172.23.21.7:4009</value>
	</property>
	
	<property>
		<name>dfs.namenode.https-address.HDFS84854.nn2</name>
		<value>172.23.21.8:4009</value>
	</property>
	
	<property>
		<name>dfs.namenode.inode.attributes.provider.class</name>
		<value>org.apache.ranger.authorization.hadoop.RangerHdfsAuthorizer</value>
	</property>
	
	<property>
		<name>dfs.namenode.kerberos.internal.spnego.principal</name>
		<value>HTTP/_HOST@EMR-56L6ZNTS</value>
	</property>
	
	<property>
		<name>dfs.namenode.kerberos.principal</name>
		<value>hadoop/_HOST@EMR-56L6ZNTS</value>
	</property>
	
	<property>
		<name>dfs.namenode.keytab.file</name>
		<value>/var/krb5kdc/emr.keytab</value>
	</property>
	
	<property>
		<name>dfs.namenode.name.dir</name>
		<value>/data/emr/hdfs/namenode</value>
	</property>
	
	<property>
		<name>dfs.namenode.rpc-address.HDFS84854.nn1</name>
		<value>172.23.21.7:4007</value>
	</property>
	
	<property>
		<name>dfs.namenode.rpc-address.HDFS84854.nn2</name>
		<value>172.23.21.8:4007</value>
	</property>
	
	<property>
		<name>dfs.namenode.shared.edits.dir</name>
		<value>qjournal://172.23.21.17:4005;172.23.21.15:4005;172.23.21.10:4005/hadoop</value>
	</property>
	
	<property>
		<name>dfs.nameservices</name>
		<value>HDFS84854</value>
	</property>
	
	<property>
		<name>dfs.permissions</name>
		<value>true</value>
	</property>
	
	<property>
		<name>dfs.permissions.umask-mode</name>
		<value>077</value>
	</property>
	
	<property>
		<name>dfs.replication</name>
		<value>3</value>
	</property>
	
	<property>
		<name>dfs.secondary.namenode.kerberos.internal.spnego.principal</name>
		<value>HTTP/_HOST@EMR-56L6ZNTS</value>
	</property>
	
	<property>
		<name>dfs.secondary.namenode.kerberos.principal</name>
		<value>hadoop/_HOST@EMR-56L6ZNTS</value>
	</property>
	
	<property>
		<name>dfs.secondary.namenode.keytab.file</name>
		<value>/var/krb5kdc/emr.keytab</value>
	</property>
	
	<property>
		<name>dfs.socket.timeout</name>
		<value>60000</value>
	</property>
	
	<property>
		<name>dfs.web.authentication.kerberos.keytab</name>
		<value>/var/krb5kdc/emr.keytab</value>
	</property>
	
	<property>
		<name>dfs.web.authentication.kerberos.principal</name>
		<value>HTTP/_HOST@EMR-56L6ZNTS</value>
	</property>
	
	<property>
		<name>dfs.webhdfs.enabled</name>
		<value>true</value>
	</property>
	
	<property>
		<name>ha.zookeeper.quorum</name>
		<value>172.23.21.17:2181,172.23.21.15:2181,172.23.21.10:2181</value>
	</property>
	
	<property>
		<name>ignore.secure.ports.for.testing</name>
		<value>true</value>
	</property>
	
	<property>
		<name>output.replace-datanode-on-failure</name>
		<value>false</value>
	</property>
	
</configuration>
